Skip to content
Twexapi
English
Esc
navigateopen⌘Jpreview

Batch Get Tweets by ID

Retrieve detailed information for multiple Tweets by their IDs. The maximum input quantity is limited by your plan’s QPS. To pass larger input quantity limits, upgrade your plan to get higher QPS.

Back to API Reference
/Tweets Endpoints
POST/twitter/tweets/lookup
Authorization
AuthorizationBearer token · headerrequired
Global API Bearer Token for TwexAPI. Included as: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
Request Body
requiredapplication/json
Array of string
string
Responses
200A list of Tweet objects.
codeinteger
HTTP status code
default: 200
msgstring
Response message
default: "success"
dataTweetModel[] | any
Tweet data
Show properties
Any of:
TweetModel[]
Array of TweetModel
tweet_idstringrequired
The unique identifier for the Tweet
is_paid_promotionboolean | any
Indicates whether the content or user is associated with a paid promotion
default: false
Show properties
Any of:
boolean
boolean
any
any
textstringrequired
The actual text content of the Tweet
created_atstring | any
The date and time the Tweet was created
Show properties
Any of:
string
string
any
any
created_at_datetimestring | any
The ISO 8601 format of the creation date
Show properties
Any of:
string
string
any
any
bookmark_countinteger | any
Number of times the Tweet has been bookmarked
default: 0
Show properties
Any of:
integer
integer
any
any
bookmarkedboolean | any
Indicates if the authenticating user has bookmarked this Tweet
default: false
Show properties
Any of:
boolean
boolean
any
any
community_notestring | any
Community note associated with the Tweet
Show properties
Any of:
string
string
any
any
edit_tweet_idsstring[]
A list of Tweet IDs for each edit of the Tweet
default: []
editable_until_msecsstring | any
Timestamp for when the Tweet is no longer editable
Show properties
Any of:
string
string
any
any
edits_remainingstring | any
Number of edits remaining for the Tweet
Show properties
Any of:
string
string
any
any
favorite_countinteger | any
Number of likes (favorites) for the Tweet
default: 0
Show properties
Any of:
integer
integer
any
any
favoritedboolean | any
Indicates if the authenticating user has liked this Tweet
default: false
Show properties
Any of:
boolean
boolean
any
any
full_textstring | any
The full text of the Tweet, especially for extended tweets
Show properties
Any of:
string
string
any
any
has_cardboolean | any
Indicates if the Tweet has a card attached
default: false
Show properties
Any of:
boolean
boolean
any
any
has_community_notesboolean | any
Indicates if the Tweet has community notes
default: false
Show properties
Any of:
boolean
boolean
any
any
hashtagsstring[]
A list of hashtags mentioned in the Tweet
default: []
cashtagsstring[]
A list of cashtags (stock symbols) mentioned in the Tweet
default: []
idstring | any
The unique identifier for the Tweet (same as tweet_id)
Show properties
Any of:
string
string
any
any
in_reply_tostring | any
ID of the Tweet this is a reply to
Show properties
Any of:
string
string
any
any
in_reply_to_user_idstring | any
ID of the user this is a reply to
Show properties
Any of:
string
string
any
any
in_reply_to_screen_namestring | any
Screen name of the user this is a reply to
Show properties
Any of:
string
string
any
any
is_edit_eligibleboolean | any
Indicates if the Tweet is eligible for editing
default: false
Show properties
Any of:
boolean
boolean
any
any
is_quote_statusboolean | any
Indicates if this Tweet is a quote of another Tweet
default: false
Show properties
Any of:
boolean
boolean
any
any
quoted_status_id_strstring | any
The unique identifier for the Tweet that this is a quote of
Show properties
Any of:
string
string
any
any
is_translatableboolean | any
Indicates if the Tweet is translatable
default: false
Show properties
Any of:
boolean
boolean
any
any
langstring | any
The BCP 47 language identifier for the Tweet's content
Show properties
Any of:
string
string
any
any
mediaMediaModel[]
A list of media objects (photos, videos) attached to the Tweet
default: []
Show properties
Array of MediaModel
idstringrequired
Media ID
typestringrequired
Type of media (e.g., photo, video)
display_urlstring | any
URL of the media to display
Show properties
Any of:
string
string
any
any
expanded_urlstring | any
Expanded URL for the media
Show properties
Any of:
string
string
any
any
media_urlstring | any
Direct URL to the media file
Show properties
Any of:
string
string
any
any
urlstring | any
t.co URL for the media
Show properties
Any of:
string
string
any
any
heightinteger | any
Height of the media in pixels
Show properties
Any of:
integer
integer
any
any
widthinteger | any
Width of the media in pixels
Show properties
Any of:
integer
integer
any
any
featuresobject | any
Features of the media
Show properties
Any of:
object
object
any
any
original_infoobject | any
Original information about the media
Show properties
Any of:
object
object
any
any
sizesobject | any
Available sizes of the media
Show properties
Any of:
object
object
any
any
source_status_idstring | any
Source tweet ID if the media is a retweet
Show properties
Any of:
string
string
any
any
source_user_idstring | any
Source user ID if the media is a retweet
Show properties
Any of:
string
string
any
any
duration_millisinteger | any
Duration of the video in milliseconds
Show properties
Any of:
integer
integer
any
any
aspect_ratiointeger[] | any
Aspect ratio of the video
Show properties
Any of:
integer[]
Array of integer
integer
any
any
video_infoobject | any
Detailed video information
Show properties
Any of:
object
object
any
any
streamsStreamModel[]
List of available video streams
default: []
Show properties
Array of StreamModel
urlstring | any
URL of the video stream
Show properties
Any of:
string
string
any
any
bitrateinteger | any
Bitrate of the video stream in bps
Show properties
Any of:
integer
integer
any
any
content_typestring | any
Content type of the stream
Show properties
Any of:
string
string
any
any
placestring | any
The location associated with the Tweet
Show properties
Any of:
string
string
any
any
pollstring | any
A poll attached to the Tweet
Show properties
Any of:
string
string
any
any
possibly_sensitiveboolean | any
Indicates if the Tweet may contain sensitive content
Show properties
Any of:
boolean
boolean
any
any
possibly_sensitive_editableboolean | any
Indicates if the sensitive content flag is editable
Show properties
Any of:
boolean
boolean
any
any
quoteTweetModel | any
The Tweet object being quoted
Show properties
Any of:
TweetModel
Circular reference to TweetModel.
any
any
quote_countinteger | any
Number of times this Tweet has been quoted
default: 0
Show properties
Any of:
integer
integer
any
any
related_tweetsTweetModel[]
A list of related Tweets
default: []
Show properties
Array of TweetModel
Circular reference to TweetModel.
repliesTweetModel[]
A list of replies to this Tweet
default: []
Show properties
Array of TweetModel
Circular reference to TweetModel.
reply_countinteger | any
Number of replies to this Tweet
default: 0
Show properties
Any of:
integer
integer
any
any
reply_toTweetModel | any
The Tweet object this is a reply to
Show properties
Any of:
TweetModel
Circular reference to TweetModel.
any
any
retweet_countinteger | any
Number of times this Tweet has been retweeted
default: 0
Show properties
Any of:
integer
integer
any
any
retweeted_tweetTweetModel | any
The original Tweet object if this is a retweet
Show properties
Any of:
TweetModel
Circular reference to TweetModel.
any
any
threadTweetModel[] | any
The conversation thread ID
Show properties
Any of:
TweetModel[]
Array of TweetModel
Circular reference to TweetModel.
any
any
thumbnail_titlestring | any
Title for the thumbnail in a card
Show properties
Any of:
string
string
any
any
thumbnail_urlstring | any
URL for the thumbnail in a card
Show properties
Any of:
string
string
any
any
urlsstring[]
A list of URLs included in the Tweet
default: []
userUserModel | any
The user who posted the Tweet
Show properties
Any of:
UserModel
idstringrequired
User ID
namestringrequired
Display name
screen_namestringrequired
Twitter username
created_atstring | any
Account creation date
Show properties
Any of:
string
string
any
any
created_at_datetimestring | any
Account creation datetime in ISO format
Show properties
Any of:
string
string
any
any
can_dmboolean | any
Whether the user can be direct messaged
default: false
Show properties
Any of:
boolean
boolean
any
any
can_media_tagboolean | any
Whether the user can be tagged in media
default: false
Show properties
Any of:
boolean
boolean
any
any
default_profileboolean | any
Whether the user has a default profile
default: false
Show properties
Any of:
boolean
boolean
any
any
default_profile_imageboolean | any
Whether the user has a default profile image
default: false
Show properties
Any of:
boolean
boolean
any
any
descriptionstring | any
User's bio description
default: ""
Show properties
Any of:
string
string
any
any
description_urlsstring[]
List of URLs found in the user's description
default: []
urlsurlModel[] | any
List of URLs found in the user's profile
Show properties
Any of:
urlModel[]
Array of urlModel
urlstringrequired
URL
expanded_urlstring | any
Expanded URL
Show properties
Any of:
string
string
any
any
display_urlstring | any
Display URL
Show properties
Any of:
string
string
any
any
any
any
fast_followers_countinteger | any
Count of fast followers
default: 0
Show properties
Any of:
integer
integer
any
any
favourites_countinteger | any
Number of tweets the user has liked
default: 0
Show properties
Any of:
integer
integer
any
any
followers_countinteger | any
Number of followers
default: 0
Show properties
Any of:
integer
integer
any
any
following_countinteger | any
Number of users this user is following
default: 0
Show properties
Any of:
integer
integer
any
any
has_custom_timelinesboolean | any
Whether the user has custom timelines
default: false
Show properties
Any of:
boolean
boolean
any
any
is_blue_verifiedboolean | any
Blue verification status
default: false
Show properties
Any of:
boolean
boolean
any
any
verified_typestring | any
Verification badge type when not blue-only: blue, business, government, etc.
Show properties
Any of:
string
string
any
any
is_verifiedboolean | any
True if the account has any verification badge (blue, business, government, or legacy verified)
default: false
Show properties
Any of:
boolean
boolean
any
any
profile_image_shapestring | any
Profile image shape (Circle or Square; Square often indicates business/government)
Show properties
Any of:
string
string
any
any
is_translatorboolean | any
Whether the user is a translator
default: false
Show properties
Any of:
boolean
boolean
any
any
listed_countinteger | any
Number of public lists the user is a member of
default: 0
Show properties
Any of:
integer
integer
any
any
locationstring | any
User's location
default: ""
Show properties
Any of:
string
string
any
any
media_countinteger | any
Number of media tweets posted by the user
default: 0
Show properties
Any of:
integer
integer
any
any
normal_followers_countinteger | any
Count of normal followers
default: 0
Show properties
Any of:
integer
integer
any
any
pinned_tweet_idsstring[]
List of pinned tweet IDs
default: []
possibly_sensitiveboolean | any
Whether the user's profile may contain sensitive content
default: false
Show properties
Any of:
boolean
boolean
any
any
profile_banner_urlstring | any
URL of the user's profile banner
Show properties
Any of:
string
string
any
any
profile_image_urlstring | any
URL of the user's profile image
Show properties
Any of:
string
string
any
any
protectedboolean | any
Whether the user's tweets are protected
default: false
Show properties
Any of:
boolean
boolean
any
any
statuses_countinteger | any
Number of tweets posted by the user
default: 0
Show properties
Any of:
integer
integer
any
any
any
any
view_countstring | any
Number of views for the Tweet
Show properties
Any of:
string
string
any
any
view_count_statestring | any
State of the view count
Show properties
Any of:
string
string
any
any
statusobject | any
Raw status dictionary
Show properties
Any of:
object
object
any
any
target_countinteger | any
The target count of items requested, for context
Show properties
Any of:
integer
integer
any
any
any
any
422Validation Error
detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Interactive ConsolePOST
Interactive Console / Try APIPOST
Live Console
🌐Target Server:https://api.twexapi.io
● Production Ready
🔍
Public Data Read (TwexAPI Key Only, No Twitter Cookie Required)

This endpoint queries public Twitter data — no Twitter account or Cookie required! Simply enter your TwexAPI Platform Key (Bearer Token) in the "API Authorization" section below to test.

🔑API Authorization
📝Request Bodyapplication/json
📡
No Response Yet

Configure parameters in the Request tab and click Send Request below.

Request
curl -X POST "https://api.twexapi.io/twitter/tweets/lookup" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '[
  "1803006263529541838",
  "1803006263529541839"
]'
Response
{
  "code": 200,
  "msg": "success",
  "data": [
    {
      "tweet_id": "1803006263529541838",
      "is_paid_promotion": true,
      "text": "string",
      "created_at": "Mon Jun 17 03:51:48 +0000 2024",
      "created_at_datetime": "2024-06-17T03:51:48.000Z",
      "bookmark_count": 0,
      "bookmarked": false,
      "community_note": "string",
      "edit_tweet_ids": [],
      "editable_until_msecs": "string",
      "edits_remaining": "string",
      "favorite_count": 0,
      "favorited": false,
      "full_text": "string",
      "has_card": false,
      "has_community_notes": false,
      "hashtags": [
        "AI",
        "Python"
      ],
      "cashtags": [
        "$TSLA"
      ],
      "id": "string",
      "in_reply_to": "string",
      "in_reply_to_user_id": "string",
      "in_reply_to_screen_name": "string",
      "is_edit_eligible": false,
      "is_quote_status": false,
      "quoted_status_id_str": "string",
      "is_translatable": false,
      "lang": "en",
      "media": [],
      "place": "string",
      "poll": "string",
      "possibly_sensitive": true,
      "possibly_sensitive_editable": true,
      "quote": {},
      "quote_count": 0,
      "related_tweets": [],
      "replies": [],
      "reply_count": 0,
      "reply_to": {},
      "retweet_count": 0,
      "retweeted_tweet": {},
      "thread": [
        {}
      ],
      "thumbnail_title": "string",
      "thumbnail_url": "string",
      "urls": [],
      "user": {
        "id": "1717001045992251392",
        "name": "Cryptoklepto",
        "screen_name": "CK_Cryptoklepto",
        "created_at": "Mon Oct 28 02:32:47 +0000 2024",
        "created_at_datetime": "2024-10-28T02:32:47.000Z",
        "can_dm": false,
        "can_media_tag": false,
        "default_profile": false,
        "default_profile_image": false,
        "description": "",
        "description_urls": [],
        "urls": [
          {
            "url": "https://www.google.com",
            "expanded_url": "https://www.google.com",
            "display_url": "www.google.com"
          }
        ],
        "fast_followers_count": 0,
        "favourites_count": 0,
        "followers_count": 0,
        "following_count": 0,
        "has_custom_timelines": false,
        "is_blue_verified": false,
        "verified_type": "government",
        "is_verified": false,
        "profile_image_shape": "Circle",
        "is_translator": false,
        "listed_count": 0,
        "location": "New York, USA",
        "media_count": 0,
        "normal_followers_count": 0,
        "pinned_tweet_ids": [],
        "possibly_sensitive": false,
        "profile_banner_url": "string",
        "profile_image_url": "string",
        "protected": false,
        "statuses_count": 0
      },
      "view_count": "string",
      "view_count_state": "string",
      "status": {},
      "target_count": 0
    }
  ]
}